import { Port } from './Port';
import { MetaCryptoType } from '../meta';

export interface Service {
  metaCryptoType?: MetaCryptoType;
  key?: string;
  description?: string;
  meta?: Map<string, string>;

  port?: Port;

  discoveredBy?: string;
  discoveredDate?: Date;
}
